Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing
Class AggregationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.api.routing.RoutingException
                          org.mule.routing.AggregationException

All Implemented Interfaces:
  Serializable

    public class AggregationException

extends RoutingException

TODO document

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.api.routing.RoutingException
`route`

Fields inherited from class org.mule.api.MessagingException
`event, muleMessage`

Constructor Summary
`AggregationException(EventGroup eventGroup, MessageProcessor endpoint)`
`AggregationException(EventGroup eventGroup, MessageProcessor endpoint, Throwable cause)`
`AggregationException(Message message, EventGroup eventGroup, MessageProcessor endpoint)`
`AggregationException(Message message, EventGroup eventGroup, MessageProcessor endpoint, Throwable cause)`

Method Summary
`EventGroup` | `getEventGroup()`

Methods inherited from class org.mule.api.routing.RoutingException
`getRoute`

Methods inherited from class org.mule.api.MessagingException
`getEvent, getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, getSummaryMessage, getVerboseMessage, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AggregationException

    public AggregationException(EventGroup eventGroup,
                                MessageProcessor endpoint)

### AggregationException

    public AggregationException(EventGroup eventGroup,
                                MessageProcessor endpoint,
                                Throwable cause)

### AggregationException

    public AggregationException(Message message,
                                EventGroup eventGroup,
                                MessageProcessor endpoint)

### AggregationException

    public AggregationException(Message message,
                                EventGroup eventGroup,
                                MessageProcessor endpoint,
                                Throwable cause)

Method Detail

### getEventGroup

    public EventGroup getEventGroup()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.